Bug 241254 - smolt-firstboot does not show any information if $LANG is not en_US.UTF-8
smolt-firstboot does not show any information if $LANG is not en_US.UTF-8
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-24 12:42 EDT by Sebastian Vahl
Modified: 2008-05-06 21:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:48:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2007-05-24 12:42:45 EDT
Description of problem:
When installing with a different $LANG than en_US.UTF-8 the hardware information
window in smolt-firstboot doesn't show any information. On tty1 this output is
shown (I've written this down by hand, so the python syntax may be incorred):

Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 102, in <module>
    print profile.getProfile()
   File "/usr/share/smolt/client/smolt.py", line 389, in getProfile
Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 102, in <module>
    print profile.getProfile()
  File "/usr/share/smolt/client/smolt.py", line 389, in getProfile
    return ´\n´.join(printBuffer)
UnicodeDecodeError: ´ascii´ codec can't decode byte 0xc3 in position 6: ordinal
not in range (128)
    return ´\n´.join(printBuffer)
UnicodeDecodeError: ´ascii´ codec can't decode byte 0xc3 in position 6: ordinal
not in range (128)
Loading /lib/kbd/keymaps/i386/quertz/de-latin1-nodeadkeys.map.gz
Loading /lib/kbd/keymaps/i386/quertz/de-latin1-nodeadkeys.map.gz
Windowmanager-Warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a
timestamp of 0 for 0x40010d (firstboot)
Windowmanager-Warning: net_window_activate called by a pager with a 0 timestamp;
the pager needs to be fixed
Windowmanager-Warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a
timestamp of 0 for 0x20010d (firstboot)
Windowmanager-Warning: net_window_activate called by a pager with a 0 timestamp;
the pager needs to be fixed


Version-Release number of selected component (if applicable):
smolt-0.9.7.1-4.fc7
smolt-firstboot-0.9.7.1-4.fc7
firstboot-1.4.35-1.fc7

How reproducible:
ever, if you don't install with en_US.UTF-8 (tested with de_DE.UTF-8, en_ES.UTF-8)

Steps to Reproduce:
1. install from rawhide-20070517-i386-Live and choose different language in gdm
2. reboot and click throught firstboot

  
Actual results:
smold windows is empty

Expected results:
smolt should show the informations it will send



Additional info:
1.smolt itselt seems to work: you have to deny the sending of the (not shown)
information.
2.If this is somehow related to rphl (bug #240787), with rhpl-0.207-1 it is also
not working.
3. this may be related to bug #241246
Comment 1 Mike McGrath 2007-05-24 12:48:30 EDT
Can you try to replace smolt.py as suggested in:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=239229#c9

and then re-run firstboot?
Comment 2 Sebastian Vahl 2007-05-24 13:09:33 EDT
The error stays the same.
Comment 3 Mike McGrath 2007-05-24 13:46:15 EDT
Once installed does a "smoltSendProfile" work?
Comment 4 Sebastian Vahl 2007-05-24 14:17:15 EDT
No. The same error. It really looks like bug #241246 because ascii is used here.

# smoltSendProfile 
Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 102, in <module>
    print profile.getProfile()
  File "/usr/share/smolt/client/smolt.py", line 389, in getProfile
    return '\n'.join(printBuffer)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 6: ordinal
not in range(128)
Comment 5 Mike McGrath 2007-05-24 14:25:09 EDT
Can you try the smoltGui and submit your profile?  Can you send me your UUID?
Comment 6 Sebastian Vahl 2007-05-24 14:29:24 EDT
Yes, of course: 1e0c0d2a-16bb-47d5-b52c-91cf2baa4d4b
Comment 7 Sebastian Vahl 2007-05-24 15:25:48 EDT
with smolt-0.9.8.1-1.fc7 (from koji) it is working again: smolt-firstboot shows
the information and smoltSendProfile doesn't crash anymore.
Comment 8 Sebastian Vahl 2007-05-25 03:52:43 EDT
Shouldn't smolt-0.9.8.1-1.fc7 be tagged as f7final? 
Comment 9 Mike McGrath 2007-05-25 10:09:54 EDT
Looks like the release guys forgot to approve it during RC2.  If there's an RC3
it will be included, otherwise it looks like this will get shipped with GA.
Comment 10 Mike McGrath 2007-05-25 10:21:33 EDT
sorry, that should have been 'won't get shipped'
Comment 11 Sebastian Vahl 2007-05-25 17:17:48 EDT
(In reply to comment #9)
> Looks like the release guys forgot to approve it during RC2.  If there's an RC3
> it will be included, otherwise it looks like this will get shipped with GA.

Oh. That's said. I've set the flag "fedora_requires_release_note" because I
think, this should be mentioned in the release notes.

Comment 12 Will Woods 2007-05-25 17:20:53 EDT
Actually, we're planning to pull this into the final images, so it shouldn't
require a release note.
Comment 13 Sebastian Vahl 2007-05-25 17:27:39 EDT
(In reply to comment #12)
> Actually, we're planning to pull this into the final images, so it shouldn't
> require a release note.

That would be even better. :)
Comment 14 Bug Zapper 2008-04-03 20:53:47 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 15 Bug Zapper 2008-05-06 21:48:41 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.